/*
 *   jack-ladspa-host
 *    
 *   Copyright (C) Robert Ham 2002 (node@users.sourceforge.net)
 *    
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __JLH_CALLBACKS_H__
#define __JLH_CALLBACKS_H__

extern void add_callback (GtkMenuItem * menuitem, gpointer user_data);
extern void load_callback (GtkButton * button, gpointer user_data);
extern void save_callback (GtkButton * button, gpointer user_data);
extern void quit_callback (GtkButton * button, gpointer user_data);

extern void slot_change_callback (GtkMenuItem * menuitem, gpointer user_data);
extern void slot_move_callback (GtkButton * button, gpointer user_data);
extern void slot_remove_callback (GtkButton * button, gpointer user_data);
extern gboolean slot_ablise_callback (GtkWidget * button, GdkEventButton *event,
                                      gpointer user_data);
extern void slot_lock_all_callback (GtkToggleButton * button, gpointer user_data);

extern void control_lock_callback (GtkToggleButton * button, gpointer user_data);
extern void control_float_callback (GtkRange * range, gpointer user_data);
extern void control_float_text_callback (GtkEntry * entry, gpointer user_data);
extern void control_bool_callback (GtkToggleButton * button, gpointer user_data);
extern void control_int_callback (GtkSpinButton * spinbutton, gpointer user_data);

extern gint plugin_button_callback (GtkWidget *widget, GdkEvent *event);

extern gboolean idle_callback (gpointer data);

extern void jack_shutdown_callback (void * data);
#endif /* __JLH_CALLBACKS_H__ */
